Skip to content
Esc
↑↓navigate↵open⌘Jpreview

Get identities

Get all platform identities linked to a person

GET/people/{personId}/identities
Authorization
AuthorizationBearer token · headerrequired

Organization API key (modem_…).

Path parameters
personIdstringrequired
matches ^\d+$
Responses
200

OK

dataobject[]required
Show properties
Array of object
authorobject | nullrequired
Show properties
Any of:
object
avatarUrlstring | nullrequired
Show properties
Any of:
string
string
null
null
displayNamestringrequired
idstringrequired
null
null
confidencenumberrequired

Certainty of the identity link (0..1).

min 0 · max 1
idstringrequired
isPrimarybooleanrequired
platformstringrequired
matches ^[a-z0-9]+(?:-[a-z0-9]+)*$
platformIdstringrequired
platformUsernamestring | nullrequired
Show properties
Any of:
string
string
null
null
provenancestringrequired

How this identity link was asserted (structural, inferred, user).

Allowed:inferredstructuraluser
400

Invalid request (validation failed).

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

401

Missing or invalid API key.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

403

The API key does not have access to this resource.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

404

The requested resource was not found.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

429

Rate limit exceeded.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

500

Internal server error.

codestringrequired

Machine-readable error code, e.g. NOT_FOUND.

dataany

Optional structured error details.

definedbooleanrequired

True if the error was declared in the procedure contract.

messagestringrequired

Human-readable error message.

statusintegerrequired

HTTP status code.

Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.modem.dev/v1/people/string/identities' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "author": {
        "avatarUrl": "string",
        "displayName": "string",
        "id": "string"
      },
      "confidence": 0,
      "id": "string",
      "isPrimary": true,
      "platform": "string",
      "platformId": "string",
      "platformUsername": "string",
      "provenance": "inferred"
    }
  ]
}

Was this page helpful?